PING6(1)

NAME
ping6 - Packets to network hosts

SYNOPSIS
ping6 [OPTION...] HOST ...

DESCRIPTION
Send ICMP ECHO_REQUEST packets to network hosts.

  Options valid for all request types:

-c, --count=NUMBER
    Stop after sending NUMBER packets.

-d, --debug
    Set the SO_DEBUG option.

--hoplimit=N
    Specify N as hop-limit.

-i, --interval=NUMBER
    Wait NUMBER seconds between sending each packet.

-n, --numeric
    Do not resolve host addresses.

-r, --ignore-routing
    Send directly to a host on an attached network.

--ttl=N
    Synonym for --hoplimit.

-T, --tos=N
    Set traffic class to N.

-v, --verbose
    Verbose output.

-w, --timeout=N
    Stop after N seconds.

  Options valid for --echo requests:

-f, --flood
    Flood ping (root only).

-l, --preload=NUMBER
    Send NUMBER packets as fast as possible before falling into normal mode of behavior (root only).

-p, --pattern=PATTERN
    Fill ICMP packet with given pattern (hex).

-q, --quiet
    Quiet output.

-s, --size=NUMBER
    Send NUMBER data octets.

-?, --help
    Give this help list.

--usage
    give a short usage message.

-V, --version
    Print program version.

Options marked with (root only) are available only to superuser.